﻿using SharpRss.Models;

namespace WebSharpRSS.Models
{
    public class FeedStateContainer
    {
        public HashSet<FeedModel> Feeds { get; set; }
        public event Action StateChanged;
        public void SetValue(HashSet<FeedModel> feedSet)
        {
            Feeds = feedSet;
            Invoke();
        }

        private void Invoke() => StateChanged?.Invoke();
    }
}
